import React from 'react';
import { type MovexContextProps } from './MovexContext';
type Props = React.PropsWithChildren<{
    /**
     * This is called only when the "clientId" or the status changes and not the state itself
     *
     * @param next
     * @returns
     */
    onStatusChange: (next: MovexContextProps<any>) => void;
}>;
export declare const MovexContextStateChange: React.FC<Props>;
export {};
