import { type BaseMovexDefinitionResourcesMap, ResourceIdentifier, StringKeys } from 'movex-core-util';
import { MovexClient, MovexFromDefinition } from 'movex';
/**
 * This is where all of the resourceObservables are being kept by Rid
 */
export declare class ResourceObservablesRegistry<TResourcesMap extends BaseMovexDefinitionResourcesMap> {
    private movex;
    private resourceObservablesByRid;
    constructor(movex: MovexFromDefinition<TResourcesMap>);
    private get;
    register<TResourceType extends StringKeys<TResourcesMap>>(rid: ResourceIdentifier<TResourceType>): MovexClient.MovexResourceObservable<any, import("movex-core-util").AnyAction> | MovexClient.MovexResourceObservable<ReturnType<TResourcesMap[TResourceType]>, import("movex-core-util").GetReducerAction<TResourcesMap[TResourceType], any>>;
}
